summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* Add deploy for BE jetsonbaserock/james/jetson-beJames Thomas2015-04-021-0/+19
|
* Add BE Jetson systemJames Thomas2015-04-023-0/+160
|
* Configure localstatedir and sysconfdir in OpenvswitchPedro Alvarez2015-04-021-6/+6
| | | | Change-Id: Idca5a082d084b64db0bb107d16997b6df8df3567
* Add fstab conf ext to devel systemRichard Ipsum2015-04-0118-0/+18
| | | | Change-Id: I3cf41ebb6aac5e91e433ae3127f7b1b599cf0e8c
* strata/qt5-tools-qtwebkit.morph: Track current stable 5.4 branchJavier Jardón2015-04-011-2/+2
| | | | | | | This includes a commit to fx the build against latest GLib See https://bugreports.qt.io/browse/QTBUG-44714 Change-Id: I9a0ef3b9e753b7f010a61d202ae92e00ebb51554
* Fix procps-ng chunk installing files into /Sam Thursfield2015-04-012-1/+28
| | | | | | | | | | Currently this chunk is creating /include/ and /share/ directories, but these should be in /usr. We do still need to install the binaries in /bin to override the Busybox versions. Change-Id: Idaf0b59a42e186b4efb5396e49ee5a14d3bf02e2
* Add initramfs to outer installer for build-systemRichard Maw2015-03-311-1/+7
| | | | | | | It needs an initramfs to support UUID, without which you can't reliably determine which device should be used as the rootfs. Change-Id: If5f62428a299c1e06f55e15d0a0d8e3329362ab8
* Update initramfs and installer to support installers betterRichard Maw2015-03-312-2/+2
| | | | Change-Id: I3cf57335904b57e081ed1ef52929d72965746dcd
* Don't install systemd units as executableSam Thursfield2015-03-315-14/+14
| | | | | | | | systemd warns about executable unit files. E.G. "Configuration file /usr/lib/systemd/system/rsync.service is marked executable. Please remove executable permission bits. Proceeding anyway." Change-Id: I47721d7a78d6bbe87ebc171ff9b35db293d37e23
* Remove unneded "build-depends: []"Javier Jardón2015-03-312-8/+0
| | | | Change-Id: I4c4e7d3d5a9a090c2c4570e8bdd323574e398952
* Fix and update nano.Michael Drake2015-03-314-13/+21
| | | | | | | | | | | | Nano was broken; its binary not ending up in the systems. Here we fix that, update to 2.4.0 (which has full undo/redo functionality), and provide useful default config (enabling syntax highlighting, etc). Nano has also been moved from core to devtools. This stops morph from wanting to rebuild the world when you update Nano. Change-Id: I702b070cde6731fde04fc8a0810e2191e0bd4e6d
* Build armv8l64 kernel with IPv6 supportTiago Gomes2015-03-311-0/+1
| | | | Change-Id: I536848f5e5ee37da1288bde5e19dba64a70858c3
* Upgrade to latest linux kernel (3.19.2)Javier Jardón2015-03-319-30/+30
| | | | Change-Id: I850fe29ca99dd5223e39062f3b654536e69d3dda
* glibc.morph: Make the code faster supporting only > 3.0 kernelsJavier Jardón2015-03-301-1/+1
| | | | | | | | | | This should be safe as we only build 3.19 in our systems (3.18 in the case of the jetson) For reference: http://www.gnu.org/software/libc/manual/html_node/Configuring-and-compiling.html Change-Id: I40df10570e3d2602c6f1b223ebb71753c6f86f8e
* Add swift to devel systemRichard Ipsum2015-03-3020-0/+93
| | | | | | This is needed to build swift data structures at deploy time Change-Id: I54ea8c1d75195ad33046ff48397458fe5c1d1e79
* hardware-deployment: remove unused DISK_SIZETiago Gomes2015-03-301-1/+0
| | | | | | | As the installer system installs the rawdisk into a device, this variable is not used. Change-Id: Id6ba83ecbeb460813a074438930767638f68a141
* Add missing build-depend for gccDaniel Silverstone2015-03-261-0/+1
| | | | | | | The gcc chunk was missing one more implicit build dependency (namely that of linux-api-headers). Change-Id: Ia7de9985cfa31444efe572e0bea5dc1d31912055
* build-essential: Add note about inconsistent use of build-depends fieldSam Thursfield2015-03-261-0/+7
| | | | Change-Id: Iff40fb270a403c486e1897ecc8d8a973aec05257
* Merge branch 'baserock/ps/explicit-build-depends-in-build-essential'Richard Ipsum2015-03-251-0/+9
|\ | | | | | | | | | | | | | | Reviewed by Richard Ipsum Javier Jardón Daniel Silverstone Sam Thursfield
| * Make stage2-linux-api-headers and stage2-gawk dependencies explicitPaul Sherwood2015-03-251-0/+9
|/ | | | | | | | | | | As discussed on the ML at [1] morph somehow infers that stage2-linux-api-headers is required for other stage2 components. This patch makes the inference explicit, which is more consistent, and should not affect any current builds or cache calculations. Also, it seems m4 requires stage2-gawk, so make that explicit too. [1] http://listmaster.pepperfish.net/pipermail/baserock-dev-baserock.org/2015-March/012425.html
* Merge "Update qt5 to v5.4.0"Sam Thursfield2015-03-253-48/+47
|\
| * Update qt5 to v5.4.0James Thomas2015-03-253-48/+47
| | | | | | | | Change-Id: If64032824787e28fbe61e805666f6339a2a9bceb
* | Merge "Fix build of ICU on ARM"Sam Thursfield2015-03-251-0/+1
|\ \ | |/
| * Fix build of ICU on ARMJames Thomas2015-03-251-0/+1
| | | | | | | | Change-Id: I44bae2748e070e3a17f15e85865bc6c6e192248c
* | Merge "strata/gtk3: Upgrade GTK+3 to latest stable (3.16.0)"Sam Thursfield2015-03-251-2/+2
|\ \
| * | strata/gtk3: Upgrade GTK+3 to latest stable (3.16.0)Javier Jardón2015-03-231-2/+2
| | | | | | | | | | | | Change-Id: I3b59957a2f61275933ac0d61a8c4c68a607724e9
* | | Merge "strata/foundation.morph: Upgrade GLib to latest stable (2.44.0)"Sam Thursfield2015-03-251-1/+2
|\ \ \ | |/ / | | / | |/ |/|
| * strata/foundation.morph: Upgrade GLib to latest stable (2.44.0)Javier Jardón2015-03-231-1/+2
| | | | | | | | Change-Id: I003f302c0fc353454c883f12a636330179e17fc3
* | Merge "tar.morph: simplify morphology"Francisco Redondo2015-03-251-7/+14
|\ \
| * | tar.morph: simplify morphologyJavier Jardón2015-03-251-7/+14
| |/ | | | | | | Change-Id: I929981507806d1561187ba8bede8784bede3bd13
* | clusters/release.morph: Fix name of build-system-armv7lhf-jetsonSam Thursfield2015-03-241-1/+1
| | | | | | | | Change-Id: I041f7d0090b1fbbcfe1634b1635660fda56c9509
* | Merge "Fix the stage 2 gawk build failure"Sam Thursfield2015-03-241-2/+2
|\ \
| * | Fix the stage 2 gawk build failureKejia Hu (Terry)2015-03-241-2/+2
| | | | | | | | | | | | | | | | | | | | | According to Richard Maw's comments on #baserock, the upstream gawk was broken, and we should use 4.1 stable instead Change-Id: Ifce17b2c90d80e0f1c76ac2bbc145aece74e8dd1
* | | strata/tools/lsof.morph: Do not try set an ownerJavier Jardón2015-03-241-1/+1
| |/ |/| | | | | | | | | | | | | | | | | This will try to avoid a problem when extracting the tarball file This is a regression introduced in commit 7834a992014dd62cacbf7c46ecc259c48fd772dd when we start to use the real tar instead the one provided by busybox Change-Id: I8195d8f2bc1ccc5f9ce062ab9ed12d1167885e0a
* | strata/x-generic: Update xserver to latest stable (1.17.1)Javier Jardón2015-03-231-2/+2
|/ | | | | Change-Id: Iba5ff3e87ed5399cd80369b3bb484f277a73b82b (cherry picked from commit 696373c5b058b3d7f62b1afb7c4250ca58c81a19)
* Merge branch 'baserock/pedroalvarez/ld-check'Pedro Alvarez2015-03-231-0/+2
|\ | | | | | | | | Reviewed-By: Pedro Alvarez <pedro.alvarez@codethink.co.uk> Reviewed-By: Richard Dale <richard.dale@codethink.co.uk>
| * stage2-glibc: Fix symlink to dynamic linkerPaul Martin2015-03-231-0/+2
|/ | | | | | | | | | | | On non-x86 systems, the linker may not be called ld-linux.so.* but the older name of ld.so.* When the linker is ld.so.1, for example, the install script of stage2-glibc does not exit with an error (as basename/ls are in subshells), but rather $loader is empty string. This means that the symlink made is from /lib/lib to /tools/lib rather than from /lib/ld.so.1 to /tools/lib/ld.so.1.
* Merge "strata/gtk-deps.morph: gnome-common is not needed here anymore"Pedro Alvarez2015-03-231-4/+0
|\
| * strata/gtk-deps.morph: gnome-common is not needed here anymoreJavier Jardón2015-03-231-4/+0
| | | | | | | | | | | | new ATK version doesnt depend on it Change-Id: If21f66ac4f1a86753a8de04f40e585486680d24f
* | Merge "strata/gtk-deps.morph: Update ATK to latest stable (2.16.0)"Pedro Alvarez2015-03-231-4/+2
|\ \ | |/
| * strata/gtk-deps.morph: Update ATK to latest stable (2.16.0)Javier Jardón2015-03-231-4/+2
| | | | | | | | | | | | This version doesnt depend on gnome-common anymore Change-Id: I95e1e482eb11cf7afd14255d55c80337c7e9ff93
* | Merge "licensecheck.pl: sync with upstream"Javier Jardón2015-03-231-10/+18
|\ \ | |/ |/|
| * licensecheck.pl: sync with upstreamJavier Jardón2015-03-171-10/+18
| | | | | | | | Change-Id: Id3b868db36554541334dae3bd6363d5adc0289b8
* | Merge "Move 'tar' from webtools to coreutils-common stratum"Sam Thursfield2015-03-233-5/+7
|\ \
| * | Move 'tar' from webtools to coreutils-common stratumJavier Jardón2015-03-233-5/+7
| | | | | | | | | | | | Change-Id: I18c5cb1185bf6c53032a7c4bd29f33598eac7031
* | | Merge "strata/tools.morph: Upgrade vala to latest stable (0.28.0)"Sam Thursfield2015-03-231-2/+2
|\ \ \ | |/ /
| * | strata/tools.morph: Upgrade vala to latest stable (0.28.0)Javier Jardón2015-03-231-2/+2
| | | | | | | | | | | | Change-Id: Ibdde8d7746ef615083b9f61f4f44e1c58d556f55
* | | Revert "strata/core.morph: bison doesnt depend on bash"Edward Cragg2015-03-202-1/+2
|/ / | | | | | | | | | | | | | | | | | | | | | | | | This reverts commit c5240343053398d288cc500ff54379a3b0de5309. The original clean-up patch breaks the native build phase of cross-bootstrap on tested platforms - armv8l64, armv8b64, and x86_64. In the bootstrap environment, the native build of bison does rely on being run with bash rather than sh. Change-Id: Id8ed8793f8a179615a2f8733e867445cac544043
* | Fix python-coveragepy's chunk morph pathbaserock/richardipsum/fix-morph-pathsRichard Ipsum2015-03-201-1/+1
| |
* | Fix error in trove-example clusterRichard Ipsum2015-03-191-1/+1
| |